Bug 112794 - [RFE] [rpm-python] Return [] for header types that return lists
[RFE] [rpm-python] Return [] for header types that return lists
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm-python (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-01 07:07 EST by Paul Nasrat
Modified: 2007-04-18 13:00 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.3.0-7.1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 05:55:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
test_obs.py (866 bytes, text/plain)
2004-01-01 07:10 EST, Paul Nasrat
no flags Details

  None (edit)
Description Paul Nasrat 2004-01-01 07:08:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Second part of bug
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=110226#c3

Return empty list for header tags that can return lists.

Version-Release number of selected component (if applicable):
rpm-4.2.2-0.8

How reproducible:
Always

Steps to Reproduce:
See test attachment
    

Actual Results:  Returns None

Expected Results:  Returns []

Additional info:
Comment 1 Paul Nasrat 2004-01-01 07:10:06 EST
Created attachment 96737 [details]
test_obs.py

Test case for bindings, I'm going to check in working patch against HEAD, but
would be grateful for sanity check.
Comment 2 Jeff Johnson 2004-01-26 05:02:47 EST
Hmmm, this looks fishy:
    ts.setFlags(-1)
    vsflags = ts.setVSFlags(~(rpm._RPMVSF_NOSIGNATURES))
I don't think you should do either.

If you *must* disable signature checking, then
    ts.setVSFlags(-1)
is all that is needed.

ts.setFlags() should have sane defaults, and is really used
to control ts.run() operation.

NEEDINFO so's I don't have to stare at the bug.
Comment 3 Paul Nasrat 2004-01-26 05:55:25 EST
I got rid of both those lines a while back I think I uploaded an older
version of the script.

Basically this is fixed using the forceArray and switch for ENVRAO in
HEAD and rpm-4.3-0.7.1 and above


Note You need to log in before you can comment on or make changes to this bug.